Skip to main content
DELETE
/
v0
/
quickstarts
/
{id}
/
assignments
/
{assignmentId}
Delete an assignment
curl --request DELETE \
  --url https://api.avidoai.com/v0/quickstarts/{id}/assignments/{assignmentId} \
  --header 'x-api-key: <api-key>' \
  --header 'x-application-id: <api-key>'
import requests

url = "https://api.avidoai.com/v0/quickstarts/{id}/assignments/{assignmentId}"

headers = {
"x-api-key": "<api-key>",
"x-application-id": "<api-key>"
}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {
method: 'DELETE',
headers: {'x-api-key': '<api-key>', 'x-application-id': '<api-key>'}
};

fetch('https://api.avidoai.com/v0/quickstarts/{id}/assignments/{assignmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "Resource not found"
}
{
"message": "Resource not found"
}
{
"message": "Resource not found"
}
{
"message": "Resource not found"
}
{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}
{
"message": "Resource not found"
}

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Path Parameters

id
string<uuid>
required

The quickstart ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"234e4567-e89b-12d3-a456-426614174000"

assignmentId
string<uuid>
required

The unique identifier of the assignment

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"123e4567-e89b-12d3-a456-426614174000"

Response

Successfully deleted assignment